﻿using Microsoft.AspNetCore.Http;
using Tiobon.Core.IServices.BASE;
using Tiobon.Core.Model;
using Tiobon.Core.Model.Models;

namespace Tiobon.Core.IServices
{
    /// <summary>
    /// 题目(自定义服务接口)
    /// </summary>	
    public interface IGhre_QuestionServices : IBaseServices<Ghre_Question, Ghre_QuestionDto, InsertGhre_QuestionInput, EditGhre_QuestionInput>
    {
        Task<ServiceResult<FromGhre_QuestionInput>> QueryFrom(long Id);
        Task<ServiceResult> InsertFrom(FromGhre_QuestionPageData insertModel);

        Task<ServiceResult> UpdareFrom(long Id, FromGhre_QuestionPageData insertModel);
    }
}