using Tiobon.Core.IServices.BASE;
using Tiobon.Core.Model.Models;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace Tiobon.Core.IServices
{
    /// <summary>
    /// RoleModulePermissionServices
    /// </summary>	
    public interface IRoleModulePermissionServices :IBaseServices<RoleModulePermission>
	{

        Task<List<RoleModulePermission>> GetRoleModule();
        Task<List<TestMuchTableResult>> QueryMuchTable();
        Task<List<RoleModulePermission>> RoleModuleMaps();
        Task<List<RoleModulePermission>> GetRMPMaps();
        /// <summary>
        /// ²˵ӿڵĹϵ
        /// </summary>
        /// <param name="permissionId">˵</param>
        /// <param name="moduleId">ӿ</param>
        /// <returns></returns>
        Task UpdateModuleId(long permissionId, long moduleId);
    }
}
