﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghra_StaffLicence.cs
*
*功 能： N / A
* 类 名： Ghra_StaffLicence
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/6/27 17:09:11  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/ 
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using SqlSugar;

namespace Tiobon.Core.Model.Models
{

    /// <summary>
    /// Ghra_StaffLicence (Model)
    /// </summary>
    [SugarTable("Ghra_StaffLicence", "Ghra_StaffLicence"), Entity(TableCnName = "Ghra_StaffLicence", TableName = "Ghra_StaffLicence")]
    public class Ghra_StaffLicence : BasePoco
    {

        /// <summary>
        /// 证件ID
        /// </summary>
        public int? StaffLicenceID { get; set; }

        /// <summary>
        /// 员工ID
        /// </summary>
        public int? StaffID { get; set; }

        /// <summary>
        /// BeginDate
        /// </summary>
        public DateTime? BeginDate { get; set; }

        /// <summary>
        /// EndDate
        /// </summary>
        public DateTime? EndDate { get; set; }

        /// <summary>
        /// LicenceTypeID
        /// </summary>
        public int? LicenceTypeID { get; set; }

        /// <summary>
        /// LicenceName
        /// </summary>
        [Display(Name = "LicenceName"), Description("LicenceName"), MaxLength(200, ErrorMessage = "LicenceName 不能超过 200 个字符")]
        public string LicenceName { get; set; }

        /// <summary>
        /// LicenceLevel
        /// </summary>
        [Display(Name = "LicenceLevel"), Description("LicenceLevel"), MaxLength(200, ErrorMessage = "LicenceLevel 不能超过 200 个字符")]
        public string LicenceLevel { get; set; }

        /// <summary>
        /// LicenceNo
        /// </summary>
        [Display(Name = "LicenceNo"), Description("LicenceNo"), MaxLength(200, ErrorMessage = "LicenceNo 不能超过 200 个字符")]
        public string LicenceNo { get; set; }

        /// <summary>
        /// LicenceUnit
        /// </summary>
        [Display(Name = "LicenceUnit"), Description("LicenceUnit"), MaxLength(200, ErrorMessage = "LicenceUnit 不能超过 200 个字符")]
        public string LicenceUnit { get; set; }

        /// <summary>
        /// LicenceInitialDate
        /// </summary>
        public DateTime? LicenceInitialDate { get; set; }

        /// <summary>
        /// LicenceReviewDate
        /// </summary>
        public DateTime? LicenceReviewDate { get; set; }

        /// <summary>
        /// LicencePayType
        /// </summary>
        [Display(Name = "LicencePayType"), Description("LicencePayType"), MaxLength(100, ErrorMessage = "LicencePayType 不能超过 100 个字符")]
        public string LicencePayType { get; set; }

        /// <summary>
        /// RemarkSz
        /// </summary>
        [Display(Name = "RemarkSz"), Description("RemarkSz"), MaxLength(2000, ErrorMessage = "RemarkSz 不能超过 2000 个字符")]
        public string RemarkSz { get; set; }

        /// <summary>
        /// SortNo
        /// </summary>
        public int? SortNo { get; set; }

        /// <summary>
        /// IsDefault
        /// </summary>
        public int? IsDefault { get; set; }

        /// <summary>
        /// AttachmentIDs
        /// </summary>
        [Display(Name = "AttachmentIDs"), Description("AttachmentIDs"), MaxLength(-1, ErrorMessage = "AttachmentIDs 不能超过 -1 个字符")]
        public string AttachmentIDs { get; set; }

        /// <summary>
        /// Reverse1
        /// </summary>
        [Display(Name = "Reverse1"), Description("Reverse1"), MaxLength(1000, ErrorMessage = "Reverse1 不能超过 1000 个字符")]
        public string Reverse1 { get; set; }

        /// <summary>
        /// Reverse2
        /// </summary>
        [Display(Name = "Reverse2"), Description("Reverse2"), MaxLength(1000, ErrorMessage = "Reverse2 不能超过 1000 个字符")]
        public string Reverse2 { get; set; }

        /// <summary>
        /// Reverse3
        /// </summary>
        [Display(Name = "Reverse3"), Description("Reverse3"), MaxLength(1000, ErrorMessage = "Reverse3 不能超过 1000 个字符")]
        public string Reverse3 { get; set; }

        /// <summary>
        /// Reverse4
        /// </summary>
        [Display(Name = "Reverse4"), Description("Reverse4"), MaxLength(1000, ErrorMessage = "Reverse4 不能超过 1000 个字符")]
        public string Reverse4 { get; set; }

        /// <summary>
        /// Reverse5
        /// </summary>
        [Display(Name = "Reverse5"), Description("Reverse5"), MaxLength(1000, ErrorMessage = "Reverse5 不能超过 1000 个字符")]
        public string Reverse5 { get; set; }
    }
}
