﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghre_Attachment.cs
*
*功 能： N / A
* 类 名： Ghre_Attachment
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/4/23 16:17:18  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/ 
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using SqlSugar;

namespace Tiobon.Core.Model.Models
{

    /// <summary>
    /// 附件 (Model)
    /// </summary>
    [SugarTable("Ghre_Attachment", "Ghre_Attachment"), Entity(TableCnName = "附件", TableName = "Ghre_Attachment")]
    public class Ghre_Attachment : BasePoco
    {

        /// <summary>
        /// 附件编号
        /// </summary>
        [Display(Name = "AttachmentNo"), Description("附件编号"), MaxLength(100, ErrorMessage = "附件编号 不能超过 100 个字符")]
        public string AttachmentNo { get; set; }

        /// <summary>
        /// 附件名称
        /// </summary>
        [Display(Name = "AttachmentName"), Description("附件名称"), MaxLength(200, ErrorMessage = "附件名称 不能超过 200 个字符")]
        public string AttachmentName { get; set; }

        /// <summary>
        /// 附件名称
        /// </summary>
        [Display(Name = "AttachmentEname"), Description("附件名称"), MaxLength(500, ErrorMessage = "附件名称 不能超过 500 个字符")]
        public string AttachmentEname { get; set; }

        /// <summary>
        /// 表名
        /// </summary>
        [Display(Name = "TableName"), Description("表名"), MaxLength(200, ErrorMessage = "表名 不能超过 200 个字符")]
        public string TableName { get; set; }

        /// <summary>
        /// 表主键
        /// </summary>
        public int? TableKeyID { get; set; }

        /// <summary>
        /// 员工ID
        /// </summary>
        public int? StaffID { get; set; }

        /// <summary>
        /// 附件类型
        /// </summary>
        [Display(Name = "AttachmentType"), Description("附件类型"), MaxLength(100, ErrorMessage = "附件类型 不能超过 100 个字符")]
        public string AttachmentType { get; set; }

        /// <summary>
        /// 附件分组ID
        /// </summary>
        public int? AttachmentGroupID { get; set; }

        /// <summary>
        /// 附件文件名
        /// </summary>
        [Display(Name = "AttachFileName"), Description("附件文件名"), MaxLength(200, ErrorMessage = "附件文件名 不能超过 200 个字符")]
        public string AttachFileName { get; set; }

        /// <summary>
        /// 附件
        /// </summary>

        /// <summary>
        /// 附件扩展名
        /// </summary>
        [Display(Name = "AttachFileExtension"), Description("附件扩展名"), MaxLength(100, ErrorMessage = "附件扩展名 不能超过 100 个字符")]
        public string AttachFileExtension { get; set; }

        /// <summary>
        /// 附件大小
        /// </summary>
        public long? AttachFileSize { get; set; }

        /// <summary>
        /// 物理路径
        /// </summary>
        [Display(Name = "PhysicsPath"), Description("物理路径"), MaxLength(500, ErrorMessage = "物理路径 不能超过 500 个字符")]
        public string PhysicsPath { get; set; }

        /// <summary>
        /// 相对路径
        /// </summary>
        [Display(Name = "RelativePath"), Description("相对路径"), MaxLength(500, ErrorMessage = "相对路径 不能超过 500 个字符")]
        public string RelativePath { get; set; }

        /// <summary>
        /// 缩略图路径
        /// </summary>
        [Display(Name = "ThumbnailPath"), Description("缩略图路径"), MaxLength(500, ErrorMessage = "缩略图路径 不能超过 500 个字符")]
        public string ThumbnailPath { get; set; }

        /// <summary>
        /// 文件路径
        /// </summary>
        [Display(Name = "FileURL"), Description("文件路径"), MaxLength(500, ErrorMessage = "文件路径 不能超过 500 个字符")]
        public string FileURL { get; set; }

        /// <summary>
        /// 公司ID
        /// </summary>
        public int? CompanyID { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Display(Name = "RemarkSz"), Description("备注"), MaxLength(2000, ErrorMessage = "备注 不能超过 2000 个字符")]
        public string RemarkSz { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int? SortNo { get; set; }

        /// <summary>
        /// 默认标志
        /// </summary>
        public int? IsDefault { get; set; }

        /// <summary>
        /// 预留字段1
        /// </summary>
        [Display(Name = "Reverse1"), Description("预留字段1"), MaxLength(1000, ErrorMessage = "预留字段1 不能超过 1000 个字符")]
        public string Reverse1 { get; set; }

        /// <summary>
        /// 预留字段2
        /// </summary>
        [Display(Name = "Reverse2"), Description("预留字段2"), MaxLength(1000, ErrorMessage = "预留字段2 不能超过 1000 个字符")]
        public string Reverse2 { get; set; }

        /// <summary>
        /// 预留字段3
        /// </summary>
        [Display(Name = "Reverse3"), Description("预留字段3"), MaxLength(1000, ErrorMessage = "预留字段3 不能超过 1000 个字符")]
        public string Reverse3 { get; set; }

        /// <summary>
        /// 预留字段4
        /// </summary>
        [Display(Name = "Reverse4"), Description("预留字段4"), MaxLength(1000, ErrorMessage = "预留字段4 不能超过 1000 个字符")]
        public string Reverse4 { get; set; }

        /// <summary>
        /// 预留字段5
        /// </summary>
        [Display(Name = "Reverse5"), Description("预留字段5"), MaxLength(1000, ErrorMessage = "预留字段5 不能超过 1000 个字符")]
        public string Reverse5 { get; set; }

        /// <summary>
        /// 预留字段6
        /// </summary>
        [Display(Name = "Reverse6"), Description("预留字段6"), MaxLength(1000, ErrorMessage = "预留字段6 不能超过 1000 个字符")]
        public string Reverse6 { get; set; }

        /// <summary>
        /// 预留字段7
        /// </summary>
        [Display(Name = "Reverse7"), Description("预留字段7"), MaxLength(1000, ErrorMessage = "预留字段7 不能超过 1000 个字符")]
        public string Reverse7 { get; set; }

        /// <summary>
        /// 预留字段8
        /// </summary>
        [Display(Name = "Reverse8"), Description("预留字段8"), MaxLength(1000, ErrorMessage = "预留字段8 不能超过 1000 个字符")]
        public string Reverse8 { get; set; }

        /// <summary>
        /// 预留字段9
        /// </summary>
        [Display(Name = "Reverse9"), Description("预留字段9"), MaxLength(1000, ErrorMessage = "预留字段9 不能超过 1000 个字符")]
        public string Reverse9 { get; set; }

        /// <summary>
        /// 预留字段10
        /// </summary>
        [Display(Name = "Reverse10"), Description("预留字段10"), MaxLength(1000, ErrorMessage = "预留字段10 不能超过 1000 个字符")]
        public string Reverse10 { get; set; }

        /// <summary>
        /// 预留字段11
        /// </summary>
        public int? ReverseI1 { get; set; }

        /// <summary>
        /// 预留字段12
        /// </summary>
        public int? ReverseI2 { get; set; }
    }
}
