﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghrs_ParaDetail.cs
*
*功 能： N / A
* 类 名： Ghrs_ParaDetail
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/5/15 9:27:20  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/ 
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using SqlSugar;

namespace Tiobon.Core.Model.Models
{

    /// <summary>
    /// Ghrs_ParaDetail (Model)
    /// </summary>
    [SugarTable("Ghrs_ParaDetail", "Ghrs_ParaDetail"), Entity(TableCnName = "Ghrs_ParaDetail", TableName = "Ghrs_ParaDetail")]
    public class Ghrs_ParaDetail : BasePoco1
    {

        /// <summary>
        /// ParaDetailId
        /// </summary>
        public int? ParaDetailId { get; set; }

        /// <summary>
        /// ParaTypeId
        /// </summary>
        public int? ParaTypeId { get; set; }

        /// <summary>
        /// ParaMasterId
        /// </summary>
        public int? ParaMasterId { get; set; }

        /// <summary>
        /// ParaTypeNo
        /// </summary>
        [Display(Name = "ParaTypeNo"), Description("ParaTypeNo"), MaxLength(100, ErrorMessage = "ParaTypeNo 不能超过 100 个字符")]
        public string ParaTypeNo { get; set; }

        /// <summary>
        /// ParaMasterNo
        /// </summary>
        [Display(Name = "ParaMasterNo"), Description("ParaMasterNo"), MaxLength(100, ErrorMessage = "ParaMasterNo 不能超过 100 个字符")]
        public string ParaMasterNo { get; set; }

        /// <summary>
        /// ParaDetailNo
        /// </summary>
        [Display(Name = "ParaDetailNo"), Description("ParaDetailNo"), MaxLength(100, ErrorMessage = "ParaDetailNo 不能超过 100 个字符")]
        public string ParaDetailNo { get; set; }

        /// <summary>
        /// ParaDetailName
        /// </summary>
        [Display(Name = "ParaDetailName"), Description("ParaDetailName"), MaxLength(1000, ErrorMessage = "ParaDetailName 不能超过 1000 个字符")]
        public string ParaDetailName { get; set; }

        /// <summary>
        /// ParaDetailEname
        /// </summary>
        [Display(Name = "ParaDetailEname"), Description("ParaDetailEname"), MaxLength(1000, ErrorMessage = "ParaDetailEname 不能超过 1000 个字符")]
        public string ParaDetailEname { get; set; }

        /// <summary>
        /// IsBuildIn
        /// </summary>
        public int? IsBuildIn { get; set; }

        /// <summary>
        /// MKey
        /// </summary>
        [Display(Name = "MKey"), Description("MKey"), MaxLength(200, ErrorMessage = "MKey 不能超过 200 个字符")]
        public string MKey { get; set; }

        /// <summary>
        /// SqlFunction
        /// </summary>
        [Display(Name = "SqlFunction"), Description("SqlFunction"), MaxLength(2000, ErrorMessage = "SqlFunction 不能超过 2000 个字符")]
        public string SqlFunction { get; set; }

        /// <summary>
        /// RemarkSz
        /// </summary>
        [Display(Name = "RemarkSz"), Description("RemarkSz"), MaxLength(2000, ErrorMessage = "RemarkSz 不能超过 2000 个字符")]
        public string RemarkSz { get; set; }

        /// <summary>
        /// SortNo
        /// </summary>
        public int? SortNo { get; set; }

        /// <summary>
        /// IsDefault
        /// </summary>
        public int? IsDefault { get; set; }

        /// <summary>
        /// Reverse1
        /// </summary>
        [Display(Name = "Reverse1"), Description("Reverse1"), MaxLength(1000, ErrorMessage = "Reverse1 不能超过 1000 个字符")]
        public string Reverse1 { get; set; }

        /// <summary>
        /// Reverse2
        /// </summary>
        [Display(Name = "Reverse2"), Description("Reverse2"), MaxLength(1000, ErrorMessage = "Reverse2 不能超过 1000 个字符")]
        public string Reverse2 { get; set; }

        /// <summary>
        /// Reverse3
        /// </summary>
        [Display(Name = "Reverse3"), Description("Reverse3"), MaxLength(1000, ErrorMessage = "Reverse3 不能超过 1000 个字符")]
        public string Reverse3 { get; set; }

        /// <summary>
        /// Reverse4
        /// </summary>
        [Display(Name = "Reverse4"), Description("Reverse4"), MaxLength(1000, ErrorMessage = "Reverse4 不能超过 1000 个字符")]
        public string Reverse4 { get; set; }

        /// <summary>
        /// Reverse5
        /// </summary>
        [Display(Name = "Reverse5"), Description("Reverse5"), MaxLength(1000, ErrorMessage = "Reverse5 不能超过 1000 个字符")]
        public string Reverse5 { get; set; }

        /// <summary>
        /// Reverse6
        /// </summary>
        [Display(Name = "Reverse6"), Description("Reverse6"), MaxLength(1000, ErrorMessage = "Reverse6 不能超过 1000 个字符")]
        public string Reverse6 { get; set; }

        /// <summary>
        /// Reverse7
        /// </summary>
        [Display(Name = "Reverse7"), Description("Reverse7"), MaxLength(1000, ErrorMessage = "Reverse7 不能超过 1000 个字符")]
        public string Reverse7 { get; set; }

        /// <summary>
        /// Reverse8
        /// </summary>
        [Display(Name = "Reverse8"), Description("Reverse8"), MaxLength(1000, ErrorMessage = "Reverse8 不能超过 1000 个字符")]
        public string Reverse8 { get; set; }

        /// <summary>
        /// Reverse9
        /// </summary>
        [Display(Name = "Reverse9"), Description("Reverse9"), MaxLength(1000, ErrorMessage = "Reverse9 不能超过 1000 个字符")]
        public string Reverse9 { get; set; }
    }
}
