﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghre_Certificate.cs
*
*功 能： N / A
* 类 名： Ghre_Certificate
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/7/16 16:52:58  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/

namespace Tiobon.Core.Model.Models;

/// <summary>
/// 培训记录(Dto.View)
/// </summary>
public class Ghre_CertificateDto : Ghre_Certificate
{
    /// <summary>
    /// 创建信息
    /// </summary>
    public string CreateDataInfo { get; set; }

    /// <summary>
    /// 修改信息
    /// </summary>
    public string UpdateDataInfo { get; set; }

    /// <summary>
    /// 工号
    /// </summary>
    public string StaffNo { get; set; }

    /// <summary>
    /// 员工姓名
    /// </summary>

    public string StaffName { get; set; }

    /// <summary>
    /// 部门编号
    /// </summary>

    public string DeptNo { get; set; }

    /// <summary>
    /// 部门名称
    /// </summary>

    public string DepteName { get; set; }

    /// <summary>
    /// 岗位
    /// </summary>

    public string TitleName { get; set; }

    /// <summary>
    /// 入职日期
    /// </summary>

    public string Indate { get; set; }

    /// <summary>
    /// 在职状态
    /// </summary>

    public string InStatusLabel { get; set; }
    /// <summary>
    /// 课程分类
    /// </summary>
    public string CourseClass { get; set; }
    /// <summary>
    /// 课程编号
    /// </summary>
    public string CourseNo { get; set; }
    /// <summary>
    /// 课程名称
    /// </summary>
    public string CourseName { get; set; }
    /// <summary>
    /// 标准课时
    /// </summary>
    public string StandardHour { get; set; }
    /// <summary>
    /// 考试日期
    /// </summary>
    public string ExamDate { get; set; }
    /// <summary>
    /// 课程场景
    /// </summary>

    public string CourseScene { get; set; }
    /// <summary>
    /// 考试分数
    /// </summary>
    public decimal? Score { get; set; }
    /// <summary>
    /// 调整分
    /// </summary>
    public decimal? AdjustScore { get; set; }
    /// <summary>
    /// 最终得分
    /// </summary>
    public decimal? TotalScore { get; set; }
    /// <summary>
    /// 是否合格
    /// </summary>
    public string IsPassLabel { get; set; }


    /// <summary>
    /// 获得学分
    /// </summary>

    public string CreditPoints { get; set; }
    /// <summary>
    /// 来源
    /// </summary>
    public string CertificateTypeLabel { get; set; } 
    public string IsExpiredLabel { get; set; } 
    public string AwardDate1 { get; set; }
}