﻿namespace Tiobon.Core.Model;

public class CoursePublicSearch
{
    public List<DT_PageMutiMsg> DT_PageMutiMsg { get; set; }
    public List<CoursePublicSearchField> SearchFields { get; set; } = new List<CoursePublicSearchField>();
}
public class CoursePublicSearchField
{

    public string label { get; set; }
    public string field { get; set; }
    public string elementType { get; set; }
    public bool required { get; set; }
    public bool multipleSelect { get; set; }
    public bool editable { get; set; }
    public string dataSource { get; set; }
    public string placeholder { get; set; }

    public int displayType { get; set; }
    public int width { get; set; } = 150;
}
public class CoursePublic
{
    public long Id { get; set; }
    public string CoverUrl { get; set; }
    public string placeholder { get; set; }
    public bool? UseDefaultCoverImage { get; set; }
    public string DefaultCoverImageName { get; set; }
    public string CourseName { get; set; }
    public int? StandardHour { get; set; }
    public int? CreditPoints { get; set; }

    public string CourseBeginTIme { get; set; }
    public string CourseEndTIme { get; set; }
    public string ExamDate { get; set; }
    public string ExamBeginDate { get; set; }
    public string ExamEndDate { get; set; }
    public bool? DisableBtn { get; set; }
    public string BtnActionType { get; set; } = "Add";
}