﻿using Tiobon.Core.Model.Models;

namespace Tiobon.Core.Model;

public class DefaultGhre_ExamInput
{
    public List<DefaultGhre_ExamColumn> baseColumns { get; set; } = new List<DefaultGhre_ExamColumn>();
    public List<DefaultGhre_ExamColumn> staffTableColumns { get; set; } = new List<DefaultGhre_ExamColumn>();
    public DefaultGhre_ExamPageData pageData { get; set; } = new DefaultGhre_ExamPageData();

    /// <summary>
    /// 修改信息 黄一名 于 2024-05-10 15:02 最后修改
    /// </summary>
    public string UpdateDataInfo { get; set; }

    /// <summary>
    /// 创建信息 黄一名 于 2024-05-10 14:57 创建
    /// </summary>
    public string CreateDataInfo { get; set; }
}
public class DefaultGhre_ExamColumn
{
    public string label { get; set; }
    public string field { get; set; }
    public string elementType { get; set; }
    public bool required { get; set; }
    public bool multipleSelect { get; set; }
    public bool editable { get; set; }
    public string dataSource { get; set; }
    public string placeholder { get; set; }

    public int displayType { get; set; }
    public int width { get; set; } = 150;
    public string @fixed { get; set; }
    public string align { get; set; }
}

public class DefaultGhre_ExamPageData : Ghre_ExamBase
{
    public int? AfterHowLong1 { get; set; }
    public List<string> ExamDate { get; set; } = new List<string>();

    public List<StaffTableData> staffTableData { get; set; } = new List<StaffTableData>();
}
public class StaffTableData
{
    public int StaffID { get; set; }
    public string StaffNo { get; set; }
    public string StaffName { get; set; }
    public string DeptName { get; set; }
    public string TitleName { get; set; }
    public string InDate { get; set; }
    public string Mail { get; set; }
    public string DataSource { get; set; }

    public string DataSourceLabel { get; set; }
}