﻿namespace Tiobon.Core.Model;

public class Ghre_StudyRecordESS
{
    public long Id { get; set; }

    /// <summary>
    /// 员工ID
    /// </summary>
    public int? StaffId { get; set; }

    /// <summary>
    /// 课程快照ID
    /// </summary>
    public long? CourseSnapId { get; set; }

    /// <summary>
    /// 课程ID
    /// </summary>
    public long? CourseId { get; set; }
    public string CoverUrl { get; set; }
    public bool? UseDefaultCoverImage { get; set; }
    public string DefaultCoverImageName { get; set; }
    public string CourseName { get; set; }
    public int? StandardHour { get; set; }
    public int? CreditPoints { get; set; }

    public string CourseBeginDate { get; set; }
    public DateTime? CourseEndDate { get; set; }
    public DateTime? ExamDate { get; set; }
    public DateTime? ExamBeginDate { get; set; }
    public DateTime? ExamEndDate { get; set; }

    public bool? ShowStudyBtn { get; set; } = true;
    public bool? DisableStudyBtn { get; set; } = false;
    public bool? ShowExamBtn { get; set; } = true;
    public bool? DisableExamBtn { get; set; } = false;
    public bool? ShowFeedbackBtn { get; set; } = true;
    public bool? DisableFeedbackBtn { get; set; } = true;

    public int StudyProgress { get; set; } = 0;
    public int? AfterHowLong { get; set; }
    public string ExamDateType { get; set; }
    public string CourseDateString { get; set; }
    public string ExamDateString { get; set; }
}
