﻿using Microsoft.AspNetCore.Http;

namespace Tiobon.Core.Model.ViewModels;


public class FileUpload
{
    public IFormFile file { get; set; }

    public string fileName { get; set; }
    public string userId { get; set; }
    public string langId { get; set; }

}

public class FileUploadResult
{
    public long Id { get; set; }
    public string AttachFileExtension { get; set; }
    public string AttachFileName { get; set; } 
    public string AttachmentName { get; set; }
    public string AttachmentNo { get; set; }
    public string FileURL { get; set; }
    public string PhysicsPath { get; set; }
    public string RelativePath { get; set; }
    public string ThumbnailPath { get; set; }

    public long? AttachFileSize { get; set; }

}