﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
namespace Tiobon.Core.OPS.Tool.OPS.Tool.Model
{
    public class Config
    {
        public string ID { get; set; }
        public string name { get; set; }
        public string ip { get; set; }

        public string ssh_user { get; set; }
        public string ssh_passwd { get; set; }
        public string supasswd { get; set; }
        public string ssh_port { get; set; }

        public string db_user { get; set; }
        public string db_passwd { get; set; }
        public string db_port { get; set; } = "60090";

        public string localfile_path { get; set; }
        public string install_item_dir { get; set; }
        public string install_dir { get; set; }
        public string tmp_dir { get; set; }
        public string system { get; set; }

        public string SourceDB { get; set; } = "ihdis";
        public string DesitionDB { get; set; } = "ihdis_compare";
        public string FileName { get; set; } = "C:\\Users\\Administrator\\Desktop\\ihdis.sql";

        public bool IsCloudDB { get; set; }
        public string CloudDBConnectionString { get; set; }
        //public CloudDBConnection CloudDBConnection { get; set; }

        public List<string> ContainerTableNames { get; set; } = new List<string> {
            "map_lis_type",
            "map_lis_item",
            "room_item_type",
            "room_item_list",
            "sys_common_key",
            "sys_dic_type",
            "sys_dic_item",
            "sys_form_type",
            "sys_form_map_key",
            "sys_menu",
            "sys_message_type",
            "sys_message_receiver",
            "sys_right",
            "sys_role",
            "sys_role_right",
            "sys_setting",
            "sys_setting_group" };
    }
    //[Serializable]
    //public class CloudDBConnection
    //{
    //    public string server { get; set; }
    //    public string port { get; set; }
    //    public string FileName { get; set; }
    //    public string DefaultPort { get; set; }
    //    public string DefaultMask { get; set; }
    //}
    public class MultiEnvInfo
    {
        public string Ip { get; set; }
        public string Name { get; set; }
        public string FileName { get; set; }
        public string DefaultPort { get; set; }
        public string DefaultMask { get; set; }
    }
}
