﻿
using Tiobon.Core.IServices;
using Tiobon.Core.Model.Models;
using Tiobon.Core.Services.BASE;
using Tiobon.Core.IRepository.Base;
using Tiobon.Core.Common.Caches;

namespace Tiobon.Core.Services
{
	/// <summary>
	/// Ghra_StaffLicence (服务)
	/// </summary>
    public class Ghra_StaffLicenceServices : BaseServices<Ghra_StaffLicence, Ghra_StaffLicenceDto, InsertGhra_StaffLicenceInput, EditGhra_StaffLicenceInput>, IGhra_StaffLicenceServices
    {
        private readonly IBaseRepository<Ghra_StaffLicence> _dal;
        public Ghra_StaffLicenceServices(ICaching caching, IBaseRepository<Ghra_StaffLicence> dal)
        {
            this._dal = dal;
            base.BaseDal = dal;
            base._caching = caching;
        }
    }
}