﻿
using Tiobon.Core.IServices;
using Tiobon.Core.Model.Models;
using Tiobon.Core.Services.BASE;
using Tiobon.Core.IRepository.Base;
using Tiobon.Core.Common.Caches;

namespace Tiobon.Core.Services
{
    /// <summary>
    /// 课程分类 (服务)
    /// </summary>
    public class Ghre_CourseClassServices : BaseServices<Ghre_CourseClass, Ghre_CourseClassDto, InsertGhre_CourseClassInput, EditGhre_CourseClassInput>, IGhre_CourseClassServices
    {
        private readonly IBaseRepository<Ghre_CourseClass> _dal;

        public Ghre_CourseClassServices(ICaching caching, IBaseRepository<Ghre_CourseClass> dal)
        {
            this._dal = dal;
            base.BaseDal = dal;
            base._caching = caching;
        }
    }
}