﻿
using Tiobon.Core.IServices;
using Tiobon.Core.Model.Models;
using Tiobon.Core.Services.BASE;
using Tiobon.Core.IRepository.Base;
using Tiobon.Core.Common.Caches;

namespace Tiobon.Core.Services
{
	/// <summary>
	/// 课件附件 (服务)
	/// </summary>
    public class Ghre_CourseWareAttachmentServices : BaseServices<Ghre_CourseWareAttachment, Ghre_CourseWareAttachmentDto, InsertGhre_CourseWareAttachmentInput, EditGhre_CourseWareAttachmentInput>, IGhre_CourseWareAttachmentServices
    {
        private readonly IBaseRepository<Ghre_CourseWareAttachment> _dal;
        public Ghre_CourseWareAttachmentServices(ICaching caching, IBaseRepository<Ghre_CourseWareAttachment> dal)
        {
            this._dal = dal;
            base.BaseDal = dal;
            base._caching = caching;
        }
    }
}