﻿
using Tiobon.Core.IServices;
using Tiobon.Core.Model.Models;
using Tiobon.Core.Services.BASE;
using Tiobon.Core.IRepository.Base;
using Tiobon.Core.Common.Caches;

namespace Tiobon.Core.Services
{
	/// <summary>
	/// 考试通知记录 (服务)
	/// </summary>
    public class Ghre_ExamMessageLogServices : BaseServices<Ghre_ExamMessageLog, Ghre_ExamMessageLogDto, InsertGhre_ExamMessageLogInput, EditGhre_ExamMessageLogInput>, IGhre_ExamMessageLogServices
    {
        private readonly IBaseRepository<Ghre_ExamMessageLog> _dal;
        public Ghre_ExamMessageLogServices(ICaching caching, IBaseRepository<Ghre_ExamMessageLog> dal)
        {
            this._dal = dal;
            base.BaseDal = dal;
            base._caching = caching;
        }
    }
}