﻿
using Tiobon.Core.IServices;
using Tiobon.Core.Model.Models;
using Tiobon.Core.Services.BASE;
using Tiobon.Core.IRepository.Base;
using Tiobon.Core.Common.Caches;

namespace Tiobon.Core.Services
{
	/// <summary>
	/// Ghre_ExamRecordDetail (服务)
	/// </summary>
    public class Ghre_ExamRecordDetailServices : BaseServices<Ghre_ExamRecordDetail, Ghre_ExamRecordDetailDto, InsertGhre_ExamRecordDetailInput, EditGhre_ExamRecordDetailInput>, IGhre_ExamRecordDetailServices
    {
        private readonly IBaseRepository<Ghre_ExamRecordDetail> _dal;
        public Ghre_ExamRecordDetailServices(ICaching caching, IBaseRepository<Ghre_ExamRecordDetail> dal)
        {
            this._dal = dal;
            base.BaseDal = dal;
            base._caching = caching;
        }
    }
}