﻿
using Tiobon.Core.IServices;
using Tiobon.Core.Model.Models;
using Tiobon.Core.Services.BASE;
using Tiobon.Core.IRepository.Base;
using Tiobon.Core.Common.Caches;

namespace Tiobon.Core.Services
{
	/// <summary>
	/// 必选修规则结果 (服务)
	/// </summary>
    public class Ghre_StudyRuleResultServices : BaseServices<Ghre_StudyRuleResult, Ghre_StudyRuleResultDto, InsertGhre_StudyRuleResultInput, EditGhre_StudyRuleResultInput>, IGhre_StudyRuleResultServices
    {
        private readonly IBaseRepository<Ghre_StudyRuleResult> _dal;
        public Ghre_StudyRuleResultServices(ICaching caching, IBaseRepository<Ghre_StudyRuleResult> dal)
        {
            this._dal = dal;
            base.BaseDal = dal;
            base._caching = caching;
        }
    }
}