﻿
using Tiobon.Core.IServices;
using Tiobon.Core.Model.Models;
using Tiobon.Core.Services.BASE;
using Tiobon.Core.IRepository.Base;
using Tiobon.Core.Common.Caches;

namespace Tiobon.Core.Services
{
	/// <summary>
	/// Ghre_TeacherAttachment (服务)
	/// </summary>
    public class Ghre_TeacherAttachmentServices : BaseServices<Ghre_TeacherAttachment, Ghre_TeacherAttachmentDto, InsertGhre_TeacherAttachmentInput, EditGhre_TeacherAttachmentInput>, IGhre_TeacherAttachmentServices
    {
        private readonly IBaseRepository<Ghre_TeacherAttachment> _dal;
        public Ghre_TeacherAttachmentServices(ICaching caching, IBaseRepository<Ghre_TeacherAttachment> dal)
        {
            this._dal = dal;
            base.BaseDal = dal;
            base._caching = caching;
        }
    }
}