﻿using Tiobon.Core.IServices.BASE;
using Tiobon.Core.Model;
using Tiobon.Core.Model.Models;
using Tiobon.Core.Model.ViewModels;

namespace Tiobon.Core.IServices
{
    /// <summary>
    /// 附件(自定义服务接口)
    /// </summary>	
    public interface IGhre_AttachmentServices :IBaseServices<Ghre_Attachment, Ghre_AttachmentDto, InsertGhre_AttachmentInput, EditGhre_AttachmentInput>
	{
        Task<ServiceResult<FileUploadResult>> UploadVideoAsync(ChunkUpload upload);

    }
}