﻿using Tiobon.Core.Common;
using Tiobon.Core.IServices.BASE;
using Tiobon.Core.Model;
using Tiobon.Core.Model.Models;

namespace Tiobon.Core.IServices;

/// <summary>
/// 学分记录(自定义服务接口)
/// </summary>	
public interface IGhre_CreditPointServices : IBaseServices<Ghre_CreditPoint, Ghre_CreditPointDto, InsertGhre_CreditPointInput, EditGhre_CreditPointInput>
{
    Task<ServicePageResult<Ghre_CreditPointTotal>> QueryTotal(QueryBody filter);

    Task<ServicePageResult<Ghre_CreditPointDetail>> QueryDetail(QueryBody filter, string staffId);
}