﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghre_CourseWare.cs
*
*功 能： N / A
* 类 名： Ghre_CourseWare
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/5/24 14:45:30  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/ 
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace Tiobon.Core.Model.Models
{

    /// <summary>
    /// 课件 (Dto.Base)
    /// </summary>
    public class Ghre_CourseWareBase
    {

        /// <summary>
        /// 课件编号
        /// </summary>
        [Display(Name = "CourseWareNo"), Description("课件编号"), MaxLength(32, ErrorMessage = "课件编号 不能超过 32 个字符")]
        public string CourseWareNo { get; set; }

        /// <summary>
        /// 课件名称
        /// </summary>
        [Display(Name = "CourseWareName"), Description("课件名称"), MaxLength(32, ErrorMessage = "课件名称 不能超过 32 个字符")]
        public string CourseWareName { get; set; }

        /// <summary>
        /// 版本号
        /// </summary>
        [Display(Name = "VersionNo"), Description("版本号"), MaxLength(32, ErrorMessage = "版本号 不能超过 32 个字符")]
        public string VersionNo { get; set; }

        /// <summary>
        /// 课程ID
        /// </summary>
        [Display(Name = "CourseIds"), Description("课程分类ID"), MaxLength(2000, ErrorMessage = "课程分类ID 不能超过 2000 个字符")]
        public string CourseIds { get; set; }

        /// <summary>
        /// 课程
        /// </summary>
        [Display(Name = "CourseNames"), Description("课程分类"), MaxLength(2000, ErrorMessage = "课程分类 不能超过 2000 个字符")]
        public string CourseNames { get; set; }

        /// <summary>
        /// 分钟
        /// </summary>
        public int? Minutes { get; set; }

        /// <summary>
        /// 时
        /// </summary>
        public int? Hours { get; set; }

        /// <summary>
        /// 来源
        /// </summary>
        [Display(Name = "Source"), Description("来源"), MaxLength(32, ErrorMessage = "来源 不能超过 32 个字符")]
        public string Source { get; set; }

        /// <summary>
        /// 链接
        /// </summary>
        [Display(Name = "Link"), Description("链接"), MaxLength(256, ErrorMessage = "链接 不能超过 256 个字符")]
        public string Link { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Display(Name = "RemarkSz"), Description("备注"), MaxLength(2000, ErrorMessage = "备注 不能超过 2000 个字符")]
        public string RemarkSz { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int? SortNo { get; set; }

        /// <summary>
        /// 默认标志
        /// </summary>
        public int? IsDefault { get; set; }

        /// <summary>
        /// 预留字段1
        /// </summary>
        [Display(Name = "Reverse1"), Description("预留字段1"), MaxLength(1000, ErrorMessage = "预留字段1 不能超过 1000 个字符")]
        public string Reverse1 { get; set; }

        /// <summary>
        /// 预留字段2
        /// </summary>
        [Display(Name = "Reverse2"), Description("预留字段2"), MaxLength(1000, ErrorMessage = "预留字段2 不能超过 1000 个字符")]
        public string Reverse2 { get; set; }

        /// <summary>
        /// 预留字段3
        /// </summary>
        [Display(Name = "Reverse3"), Description("预留字段3"), MaxLength(1000, ErrorMessage = "预留字段3 不能超过 1000 个字符")]
        public string Reverse3 { get; set; }

        /// <summary>
        /// 预留字段4
        /// </summary>
        [Display(Name = "Reverse4"), Description("预留字段4"), MaxLength(1000, ErrorMessage = "预留字段4 不能超过 1000 个字符")]
        public string Reverse4 { get; set; }

        /// <summary>
        /// 预留字段5
        /// </summary>
        [Display(Name = "Reverse5"), Description("预留字段5"), MaxLength(1000, ErrorMessage = "预留字段5 不能超过 1000 个字符")]
        public string Reverse5 { get; set; }

        /// <summary>
        /// 预留字段6
        /// </summary>
        [Display(Name = "Reverse6"), Description("预留字段6"), MaxLength(1000, ErrorMessage = "预留字段6 不能超过 1000 个字符")]
        public string Reverse6 { get; set; }

        /// <summary>
        /// 预留字段7
        /// </summary>
        [Display(Name = "Reverse7"), Description("预留字段7"), MaxLength(1000, ErrorMessage = "预留字段7 不能超过 1000 个字符")]
        public string Reverse7 { get; set; }

        /// <summary>
        /// 预留字段8
        /// </summary>
        [Display(Name = "Reverse8"), Description("预留字段8"), MaxLength(1000, ErrorMessage = "预留字段8 不能超过 1000 个字符")]
        public string Reverse8 { get; set; }

        /// <summary>
        /// 预留字段9
        /// </summary>
        [Display(Name = "Reverse9"), Description("预留字段9"), MaxLength(1000, ErrorMessage = "预留字段9 不能超过 1000 个字符")]
        public string Reverse9 { get; set; }

        /// <summary>
        /// 预留字段10
        /// </summary>
        [Display(Name = "Reverse10"), Description("预留字段10"), MaxLength(1000, ErrorMessage = "预留字段10 不能超过 1000 个字符")]
        public string Reverse10 { get; set; }

        /// <summary>
        /// 预留字段11
        /// </summary>
        public int? ReverseI1 { get; set; }

        /// <summary>
        /// 预留字段12
        /// </summary>
        public int? ReverseI2 { get; set; }
    }
}
