﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghra_Grade.cs
*
*功 能： N / A
* 类 名： Ghra_Grade
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/4/17 14:37:42  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/ 
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using SqlSugar;

namespace Tiobon.Core.Model.Models
{

    /// <summary>
    /// 年级 (Model)
    /// </summary>
    [SugarTable("Ghra_Grade", "Ghra_Grade"), Entity(TableCnName = "年级", TableName = "Ghra_Grade")]
    public class Ghra_Grade : BasePoco
    {

        /// <summary>
        /// 编号
        /// </summary>
        [EntityColumn]
        [Display(Name = "GradeNo"), Description("编号"), MaxLength(100, ErrorMessage = "GradeNo 不能超过 100 个字符")]
        public string GradeNo { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        [EntityColumn]
        [Display(Name = "GradeName"), Description("名称"), MaxLength(1000, ErrorMessage = "GradeName 不能超过 1000 个字符")]
        public string GradeName { get; set; }

        /// <summary>
        /// MKey
        /// </summary>
        [Display(Name = "MKey"), Description("MKey"), MaxLength(200, ErrorMessage = "MKey 不能超过 200 个字符")]
        public string MKey { get; set; }

        /// <summary>
        /// DataBelongID
        /// </summary>
        public int? DataBelongID { get; set; }

        /// <summary>
        /// Reverse1
        /// </summary>
        [Display(Name = "Reverse1"), Description("Reverse1"), MaxLength(1000, ErrorMessage = "Reverse1 不能超过 1000 个字符")]
        public string Reverse1 { get; set; }

        /// <summary>
        /// Reverse2
        /// </summary>
        [Display(Name = "Reverse2"), Description("Reverse2"), MaxLength(1000, ErrorMessage = "Reverse2 不能超过 1000 个字符")]
        public string Reverse2 { get; set; }

        /// <summary>
        /// Reverse3
        /// </summary>
        [Display(Name = "Reverse3"), Description("Reverse3"), MaxLength(1000, ErrorMessage = "Reverse3 不能超过 1000 个字符")]
        public string Reverse3 { get; set; }

        /// <summary>
        /// Reverse4
        /// </summary>
        [Display(Name = "Reverse4"), Description("Reverse4"), MaxLength(1000, ErrorMessage = "Reverse4 不能超过 1000 个字符")]
        public string Reverse4 { get; set; }

        /// <summary>
        /// Reverse5
        /// </summary>
        [Display(Name = "Reverse5"), Description("Reverse5"), MaxLength(1000, ErrorMessage = "Reverse5 不能超过 1000 个字符")]
        public string Reverse5 { get; set; }

        /// <summary>
        /// Reverse6
        /// </summary>
        [Display(Name = "Reverse6"), Description("Reverse6"), MaxLength(1000, ErrorMessage = "Reverse6 不能超过 1000 个字符")]
        public string Reverse6 { get; set; }

        /// <summary>
        /// Reverse7
        /// </summary>
        [Display(Name = "Reverse7"), Description("Reverse7"), MaxLength(1000, ErrorMessage = "Reverse7 不能超过 1000 个字符")]
        public string Reverse7 { get; set; }

        /// <summary>
        /// Reverse8
        /// </summary>
        [Display(Name = "Reverse8"), Description("Reverse8"), MaxLength(1000, ErrorMessage = "Reverse8 不能超过 1000 个字符")]
        public string Reverse8 { get; set; }

        /// <summary>
        /// Reverse9
        /// </summary>
        [Display(Name = "Reverse9"), Description("Reverse9"), MaxLength(1000, ErrorMessage = "Reverse9 不能超过 1000 个字符")]
        public string Reverse9 { get; set; }

        /// <summary>
        /// ReverseI1
        /// </summary>
        public int? ReverseI1 { get; set; }

        /// <summary>
        /// ReverseI2
        /// </summary>
        public int? ReverseI2 { get; set; }
    }
}
