﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghro_Dept.cs
*
*功 能： N / A
* 类 名： Ghro_Dept
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/6/27 15:40:05  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/ 
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using SqlSugar;

namespace Tiobon.Core.Model.Models
{

    /// <summary>
    /// Ghro_Dept (Model)
    /// </summary>
    [SugarTable("Ghro_Dept", "Ghro_Dept"), Entity(TableCnName = "Ghro_Dept", TableName = "Ghro_Dept")]
    public class Ghro_Dept : BasePoco1
    {

        /// <summary>
        /// DeptID
        /// </summary>
        public int? DeptID { get; set; }

        /// <summary>
        /// DeptNo
        /// </summary>
        [Display(Name = "DeptNo"), Description("DeptNo"), MaxLength(100, ErrorMessage = "DeptNo 不能超过 100 个字符")]
        public string DeptNo { get; set; }

        /// <summary>
        /// DeptName
        /// </summary>
        [Display(Name = "DeptName"), Description("DeptName"), MaxLength(200, ErrorMessage = "DeptName 不能超过 200 个字符")]
        public string DeptName { get; set; }

        /// <summary>
        /// DeptEname
        /// </summary>
        [Display(Name = "DeptEname"), Description("DeptEname"), MaxLength(200, ErrorMessage = "DeptEname 不能超过 200 个字符")]
        public string DeptEname { get; set; }

        /// <summary>
        /// BeginDate
        /// </summary>
        public DateTime? BeginDate { get; set; }

        /// <summary>
        /// EndDate
        /// </summary>
        public DateTime? EndDate { get; set; }

        /// <summary>
        /// DataBelongID
        /// </summary>
        [Display(Name = "DataBelongID"), Description("DataBelongID"), MaxLength(-1, ErrorMessage = "DataBelongID 不能超过 -1 个字符")]
        public string DataBelongID { get; set; }

        /// <summary>
        /// Mkey
        /// </summary>
        [Display(Name = "Mkey"), Description("Mkey"), MaxLength(1000, ErrorMessage = "Mkey 不能超过 1000 个字符")]
        public string Mkey { get; set; }

        /// <summary>
        /// DeptType
        /// </summary>
        [Display(Name = "DeptType"), Description("DeptType"), MaxLength(100, ErrorMessage = "DeptType 不能超过 100 个字符")]
        public string DeptType { get; set; }

        /// <summary>
        /// DeptType1
        /// </summary>
        [Display(Name = "DeptType1"), Description("DeptType1"), MaxLength(100, ErrorMessage = "DeptType1 不能超过 100 个字符")]
        public string DeptType1 { get; set; }

        /// <summary>
        /// DeptType2
        /// </summary>
        [Display(Name = "DeptType2"), Description("DeptType2"), MaxLength(100, ErrorMessage = "DeptType2 不能超过 100 个字符")]
        public string DeptType2 { get; set; }

        /// <summary>
        /// DeptLevel
        /// </summary>
        [Display(Name = "DeptLevel"), Description("DeptLevel"), MaxLength(100, ErrorMessage = "DeptLevel 不能超过 100 个字符")]
        public string DeptLevel { get; set; }

        /// <summary>
        /// DeptManagerID
        /// </summary>
        public int? DeptManagerID { get; set; }

        /// <summary>
        /// DeptManagerID2
        /// </summary>
        public int? DeptManagerID2 { get; set; }

        /// <summary>
        /// DeptAssID
        /// </summary>
        public int? DeptAssID { get; set; }

        /// <summary>
        /// ParentDeptID
        /// </summary>
        public int? ParentDeptID { get; set; }

        /// <summary>
        /// ParentDeptID2
        /// </summary>
        public int? ParentDeptID2 { get; set; }

        /// <summary>
        /// RemarkSz
        /// </summary>
        [Display(Name = "RemarkSz"), Description("RemarkSz"), MaxLength(2000, ErrorMessage = "RemarkSz 不能超过 2000 个字符")]
        public string RemarkSz { get; set; }

        /// <summary>
        /// SortNo
        /// </summary>
        public int? SortNo { get; set; }

        /// <summary>
        /// IsDefault
        /// </summary>
        public int? IsDefault { get; set; }

        /// <summary>
        /// AttachmentIDs
        /// </summary>
        [Display(Name = "AttachmentIDs"), Description("AttachmentIDs"), MaxLength(-1, ErrorMessage = "AttachmentIDs 不能超过 -1 个字符")]
        public string AttachmentIDs { get; set; }

        /// <summary>
        /// Reverse1
        /// </summary>
        [Display(Name = "Reverse1"), Description("Reverse1"), MaxLength(1000, ErrorMessage = "Reverse1 不能超过 1000 个字符")]
        public string Reverse1 { get; set; }

        /// <summary>
        /// Reverse2
        /// </summary>
        [Display(Name = "Reverse2"), Description("Reverse2"), MaxLength(1000, ErrorMessage = "Reverse2 不能超过 1000 个字符")]
        public string Reverse2 { get; set; }

        /// <summary>
        /// Reverse3
        /// </summary>
        [Display(Name = "Reverse3"), Description("Reverse3"), MaxLength(1000, ErrorMessage = "Reverse3 不能超过 1000 个字符")]
        public string Reverse3 { get; set; }

        /// <summary>
        /// Reverse4
        /// </summary>
        [Display(Name = "Reverse4"), Description("Reverse4"), MaxLength(1000, ErrorMessage = "Reverse4 不能超过 1000 个字符")]
        public string Reverse4 { get; set; }

        /// <summary>
        /// Reverse5
        /// </summary>
        [Display(Name = "Reverse5"), Description("Reverse5"), MaxLength(1000, ErrorMessage = "Reverse5 不能超过 1000 个字符")]
        public string Reverse5 { get; set; }

        /// <summary>
        /// DisplayDirection
        /// </summary>
        [Display(Name = "DisplayDirection"), Description("DisplayDirection"), MaxLength(100, ErrorMessage = "DisplayDirection 不能超过 100 个字符")]
        public string DisplayDirection { get; set; }

        /// <summary>
        /// DeptColor
        /// </summary>
        [Display(Name = "DeptColor"), Description("DeptColor"), MaxLength(100, ErrorMessage = "DeptColor 不能超过 100 个字符")]
        public string DeptColor { get; set; }

        /// <summary>
        /// DeptIcon
        /// </summary>
        [Display(Name = "DeptIcon"), Description("DeptIcon"), MaxLength(100, ErrorMessage = "DeptIcon 不能超过 100 个字符")]
        public string DeptIcon { get; set; }

        /// <summary>
        /// ShortName
        /// </summary>
        [Display(Name = "ShortName"), Description("ShortName"), MaxLength(200, ErrorMessage = "ShortName 不能超过 200 个字符")]
        public string ShortName { get; set; }

        /// <summary>
        /// DeptDataType
        /// </summary>
        [Display(Name = "DeptDataType"), Description("DeptDataType"), MaxLength(100, ErrorMessage = "DeptDataType 不能超过 100 个字符")]
        public string DeptDataType { get; set; }
    }
}
