﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghrs_User.cs
*
*功 能： N / A
* 类 名： Ghrs_User
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/4/18 15:14:45  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/ 
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using SqlSugar;

namespace Tiobon.Core.Model.Models
{

    /// <summary>
    /// 系统用户 (Model)
    /// </summary>
    [SugarTable("Ghrs_User", "Ghrs_User"), Entity(TableCnName = "系统用户", TableName = "Ghrs_User")]
    public class Ghrs_User : BasePoco1
    {

        /// <summary>
        /// UserId
        /// </summary>
        [SugarColumn(IsNullable = false, IsPrimaryKey = true, IsIdentity = false), Display(Name = "表主键")]
        public int? UserId { get; set; }

        /// <summary>
        /// UserNo
        /// </summary>
        [Display(Name = "UserNo"), Description("UserNo"), MaxLength(100, ErrorMessage = "UserNo 不能超过 100 个字符")]
        public string UserNo { get; set; }

        /// <summary>
        /// UserName
        /// </summary>
        [Display(Name = "UserName"), Description("UserName"), MaxLength(1000, ErrorMessage = "UserName 不能超过 1000 个字符")]
        public string UserName { get; set; }

        /// <summary>
        /// UserEname
        /// </summary>
        [Display(Name = "UserEname"), Description("UserEname"), MaxLength(1000, ErrorMessage = "UserEname 不能超过 1000 个字符")]
        public string UserEname { get; set; }

        /// <summary>
        /// Email
        /// </summary>
        [Display(Name = "Email"), Description("Email"), MaxLength(100, ErrorMessage = "Email 不能超过 100 个字符")]
        public string Email { get; set; }

        /// <summary>
        /// Mobile
        /// </summary>
        [Display(Name = "Mobile"), Description("Mobile"), MaxLength(100, ErrorMessage = "Mobile 不能超过 100 个字符")]
        public string Mobile { get; set; }

        /// <summary>
        /// UserStaffID
        /// </summary>
        public int? UserStaffID { get; set; }

        /// <summary>
        /// PwdComplexityRuleID
        /// </summary>
        public int? PwdComplexityRuleID { get; set; }

        /// <summary>
        /// UserPhotoUrl
        /// </summary>
        [Display(Name = "UserPhotoUrl"), Description("UserPhotoUrl"), MaxLength(200, ErrorMessage = "UserPhotoUrl 不能超过 200 个字符")]
        public string UserPhotoUrl { get; set; }

        /// <summary>
        /// APPID
        /// </summary>
        [Display(Name = "APPID"), Description("APPID"), MaxLength(100, ErrorMessage = "APPID 不能超过 100 个字符")]
        public string APPID { get; set; }

        /// <summary>
        /// DingID
        /// </summary>
        [Display(Name = "DingID"), Description("DingID"), MaxLength(100, ErrorMessage = "DingID 不能超过 100 个字符")]
        public string DingID { get; set; }

        /// <summary>
        /// EWeChatID
        /// </summary>
        [Display(Name = "EWeChatID"), Description("EWeChatID"), MaxLength(100, ErrorMessage = "EWeChatID 不能超过 100 个字符")]
        public string EWeChatID { get; set; }

        /// <summary>
        /// WeChatID
        /// </summary>
        [Display(Name = "WeChatID"), Description("WeChatID"), MaxLength(100, ErrorMessage = "WeChatID 不能超过 100 个字符")]
        public string WeChatID { get; set; }

        /// <summary>
        /// OtherID
        /// </summary>
        [Display(Name = "OtherID"), Description("OtherID"), MaxLength(100, ErrorMessage = "OtherID 不能超过 100 个字符")]
        public string OtherID { get; set; }

        /// <summary>
        /// UserLangID
        /// </summary>
        public int? UserLangID { get; set; }

        /// <summary>
        /// PageStyle
        /// </summary>
        [Display(Name = "PageStyle"), Description("PageStyle"), MaxLength(100, ErrorMessage = "PageStyle 不能超过 100 个字符")]
        public string PageStyle { get; set; }

        /// <summary>
        /// UserType
        /// </summary>
        [Display(Name = "UserType"), Description("UserType"), MaxLength(100, ErrorMessage = "UserType 不能超过 100 个字符")]
        public string UserType { get; set; }

        /// <summary>
        /// BeginDate
        /// </summary>
        public DateTime? BeginDate { get; set; }

        /// <summary>
        /// EndDate
        /// </summary>
        public DateTime? EndDate { get; set; }

        /// <summary>
        /// SalaryPwd
        /// </summary>

        /// <summary>
        /// Pwd
        /// </summary>

        /// <summary>
        /// TempPwd
        /// </summary>

        /// <summary>
        /// TimeZoneID
        /// </summary>
        public int? TimeZoneID { get; set; }

        /// <summary>
        /// TimeZoneGapMinute
        /// </summary>
        public int? TimeZoneGapMinute { get; set; }

        /// <summary>
        /// Reverse1
        /// </summary>
        [Display(Name = "Reverse1"), Description("Reverse1"), MaxLength(1000, ErrorMessage = "Reverse1 不能超过 1000 个字符")]
        public string Reverse1 { get; set; }

        /// <summary>
        /// Reverse2
        /// </summary>
        [Display(Name = "Reverse2"), Description("Reverse2"), MaxLength(1000, ErrorMessage = "Reverse2 不能超过 1000 个字符")]
        public string Reverse2 { get; set; }

        /// <summary>
        /// Reverse3
        /// </summary>
        [Display(Name = "Reverse3"), Description("Reverse3"), MaxLength(1000, ErrorMessage = "Reverse3 不能超过 1000 个字符")]
        public string Reverse3 { get; set; }

        /// <summary>
        /// Reverse4
        /// </summary>
        [Display(Name = "Reverse4"), Description("Reverse4"), MaxLength(1000, ErrorMessage = "Reverse4 不能超过 1000 个字符")]
        public string Reverse4 { get; set; }

        /// <summary>
        /// Reverse5
        /// </summary>
        [Display(Name = "Reverse5"), Description("Reverse5"), MaxLength(1000, ErrorMessage = "Reverse5 不能超过 1000 个字符")]
        public string Reverse5 { get; set; }

        /// <summary>
        /// Reverse6
        /// </summary>
        [Display(Name = "Reverse6"), Description("Reverse6"), MaxLength(1000, ErrorMessage = "Reverse6 不能超过 1000 个字符")]
        public string Reverse6 { get; set; }

        /// <summary>
        /// Reverse7
        /// </summary>
        [Display(Name = "Reverse7"), Description("Reverse7"), MaxLength(1000, ErrorMessage = "Reverse7 不能超过 1000 个字符")]
        public string Reverse7 { get; set; }

        /// <summary>
        /// Reverse8
        /// </summary>
        [Display(Name = "Reverse8"), Description("Reverse8"), MaxLength(1000, ErrorMessage = "Reverse8 不能超过 1000 个字符")]
        public string Reverse8 { get; set; }

        /// <summary>
        /// Reverse9
        /// </summary>
        [Display(Name = "Reverse9"), Description("Reverse9"), MaxLength(1000, ErrorMessage = "Reverse9 不能超过 1000 个字符")]
        public string Reverse9 { get; set; }

        /// <summary>
        /// LockTime
        /// </summary>
        public DateTime? LockTime { get; set; }

        /// <summary>
        /// APPID2
        /// </summary>
        [Display(Name = "APPID2"), Description("APPID2"), MaxLength(100, ErrorMessage = "APPID2 不能超过 100 个字符")]
        public string APPID2 { get; set; }
    }
}
