﻿namespace Tiobon.Core.Model;

public class FromGhre_QuestionInput
{
    public List<FromGhre_QuestionColumn> Column { get; set; } = new List<FromGhre_QuestionColumn>();
    public FromGhre_QuestionPageData PageData { get; set; } = new FromGhre_QuestionPageData();

}
public class FromGhre_QuestionColumn
{
    public string label { get; set; }
    public string field { get; set; }
    public string elementType { get; set; }
    public bool required { get; set; }
    public bool multipleSelect { get; set; }
    public bool editable { get; set; }
    public string dataSource { get; set; }
    public string placeholder { get; set; }

}
public class FromGhre_QuestionPageData
{
    public FromGhre_QuestionBaseData baseData { get; set; } = new FromGhre_QuestionBaseData();
    public List<FromGhre_QuestionQuestionType> questionType { get; set; } = new List<FromGhre_QuestionQuestionType> { };
}
public class FromGhre_QuestionBaseData
{
    public List<long?> courseID { get; set; } = new List<long?> { };
    public string questionNo { get; set; }


    /// <summary>
    /// 创建信息 
    /// </summary>
    public string CreateDataInfo { get; set; }

    /// <summary>
    /// 修改信息 
    /// </summary>
    public string UpdateDataInfo { get; set; }

}
public class FromGhre_QuestionQuestionType
{
    public string label { get; set; }
    public string type { get; set; }
    public int isActive { get; set; } = 0;
    public FromGhre_QuestionQuestionTypeDetail detail { get; set; } = new FromGhre_QuestionQuestionTypeDetail();
}
public class FromGhre_QuestionQuestionTypeDetail
{
    public long? Id { get; set; }
    public string difficulty { get; set; }
    public string content { get; set; }
    public string answer { get; set; }
    public List<string> answer1 { get; set; }
    public string RemarkSz { get; set; }
    public List<FromGhre_QuestionQuestionAnswerList> answerList { get; set; } = new List<FromGhre_QuestionQuestionAnswerList> { };
}
public class FromGhre_QuestionQuestionAnswerList
{
    public string No { get; set; }
    public string label { get; set; }
    public string imageUrl { get; set; }
    public string imgWidthPc { get; set; }
    public string imgWidthApp { get; set; }
}