﻿using Tiobon.Core.Model.Models;

namespace Tiobon.Core.Model;

public class Ghre_StudyRecordCourse
{
    public long Id { get; set; }
    public long? CourseId { get; set; }
    public long? CourseSceneId { get; set; }
    public string CourseName { get; set; }
    public bool UseDefaultCoverImage { get; set; }
    public string DefaultCoverImageName { get; set; }
    public string CoverUrl { get; set; }
    public int StandardHour { get; set; }
    public int CreditPoints { get; set; }
    public string CourseDateString { get; set; }
    public int StudyProgress { get; set; } = 0;
    public string CourseRemarkSz { get; set; }
    public string TeacherName { get; set; }
    public string TeacherEName { get; set; }
    public string TeacherPhotoUrl { get; set; }
    public string DeptOrSchoolName { get; set; }
    public string TeacherRemarkSz { get; set; }


    public List<Ghre_StudyRecordCourseWare> CourseWareList { get; set; }


    public List<Ghre_StudyRecordCourseTeacher> CourseTeacherList { get; set; }
}
public class Ghre_StudyRecordCourseWare
{
    public long Id { get; set; }
    public string CourseName { get; set; }
    public long? CourseId { get; set; }
    public string Source { get; set; }
    public string Link { get; set; }

    public List<Ghre_CourseWareAttachment> Attachments { get; set; }

}

public class Ghre_StudyRecordCourseTeacher
{
    public long Id { get; set; }
    public string TeacherName { get; set; }
    public string TeacherEName { get; set; }
    public string TeacherPhotoUrl { get; set; }
    public string DeptOrSchoolName { get; set; }
    public string TeacherRemarkSz { get; set; }

    public string CourseName { get; set; }
}
