﻿
using Tiobon.Core.IServices;
using Tiobon.Core.Model.Models;
using Tiobon.Core.Services.BASE;
using Tiobon.Core.IRepository.Base;
using Tiobon.Core.Common.Caches;

namespace Tiobon.Core.Services
{
	/// <summary>
	/// 培训机构附件 (服务)
	/// </summary>
    public class Ghre_SchoolAttachmentServices : BaseServices<Ghre_SchoolAttachment, Ghre_SchoolAttachmentDto, InsertGhre_SchoolAttachmentInput, EditGhre_SchoolAttachmentInput>, IGhre_SchoolAttachmentServices
    {
        private readonly IBaseRepository<Ghre_SchoolAttachment> _dal;
        public Ghre_SchoolAttachmentServices(ICaching caching, IBaseRepository<Ghre_SchoolAttachment> dal)
        {
            this._dal = dal;
            base.BaseDal = dal;
            base._caching = caching;
        }
    }
}