﻿
using Tiobon.Core.IServices;
using Tiobon.Core.Model.Models;
using Tiobon.Core.Services.BASE;
using Tiobon.Core.IRepository.Base;
using Tiobon.Core.Common.Caches;

namespace Tiobon.Core.Services
{
	/// <summary>
	/// 必选修规则人员 (服务)
	/// </summary>
    public class Ghre_StudyRuleStaffServices : BaseServices<Ghre_StudyRuleStaff, Ghre_StudyRuleStaffDto, InsertGhre_StudyRuleStaffInput, EditGhre_StudyRuleStaffInput>, IGhre_StudyRuleStaffServices
    {
        private readonly IBaseRepository<Ghre_StudyRuleStaff> _dal;
        public Ghre_StudyRuleStaffServices(ICaching caching, IBaseRepository<Ghre_StudyRuleStaff> dal)
        {
            this._dal = dal;
            base.BaseDal = dal;
            base._caching = caching;
        }
    }
}