﻿
using Tiobon.Core.IServices;
using Tiobon.Core.Model.Models;
using Tiobon.Core.Services.BASE;
using Tiobon.Core.IRepository.Base;
using Tiobon.Core.Common.Caches;

namespace Tiobon.Core.Services
{
	/// <summary>
	/// Ghro_Dept (服务)
	/// </summary>
    public class Ghro_DeptServices : BaseServices<Ghro_Dept, Ghro_DeptDto, InsertGhro_DeptInput, EditGhro_DeptInput>, IGhro_DeptServices
    {
        private readonly IBaseRepository<Ghro_Dept> _dal;
        public Ghro_DeptServices(ICaching caching, IBaseRepository<Ghro_Dept> dal)
        {
            this._dal = dal;
            base.BaseDal = dal;
            base._caching = caching;
        }
    }
}