﻿
using Tiobon.Core.IServices;
using Tiobon.Core.Model.Models;
using Tiobon.Core.Services.BASE;
using Tiobon.Core.IRepository.Base;
using Tiobon.Core.Common.Caches;

namespace Tiobon.Core.Services
{
	/// <summary>
	/// Ghrs_Attachment (服务)
	/// </summary>
    public class Ghrs_AttachmentServices : BaseServices<Ghrs_Attachment, Ghrs_AttachmentDto, InsertGhrs_AttachmentInput, EditGhrs_AttachmentInput>, IGhrs_AttachmentServices
    {
        private readonly IBaseRepository<Ghrs_Attachment> _dal;
        public Ghrs_AttachmentServices(ICaching caching, IBaseRepository<Ghrs_Attachment> dal)
        {
            this._dal = dal;
            base.BaseDal = dal;
            base._caching = caching;
        }
    }
}