﻿
using Tiobon.Core.IServices;
using Tiobon.Core.Model.Models;
using Tiobon.Core.Services.BASE;
using Tiobon.Core.IRepository.Base;

namespace Tiobon.Core.Services
{
	/// <summary>
	/// 系统用户 (服务)
	/// </summary>
    public class Ghrs_UserServices : BaseServices<Ghrs_User, Ghrs_UserDto, InsertGhrs_UserInput, EditGhrs_UserInput>, IGhrs_UserServices
    {
        private readonly IBaseRepository<Ghrs_User> _dal;
        public Ghrs_UserServices(IBaseRepository<Ghrs_User> dal)
        {
            this._dal = dal;
            base.BaseDal = dal;
        }
    }
}